Bug 296114 - Kontacts complains it is already running when restarting from DrKonqi
Summary: Kontacts complains it is already running when restarting from DrKonqi
Status: RESOLVED FIXED
Alias: None
Product: kontact
Classification: Unclassified
Component: general (show other bugs)
Version: 4.8.x
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-15 23:23 UTC by Brian Pritchett
Modified: 2012-12-10 08:04 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Pritchett 2012-03-15 23:23:01 UTC
After Kontact has crashed, if you click "Restart Application" from DrKonqi, it will give you a scary warning message about losing data because "Kontact already seems to be running on another display on this machine."
Comment 1 Laurent Montel 2012-12-10 08:02:39 UTC
Git commit 5550ea281af323a8191a22e38a7c0360f3d4a9a4 by Montel Laurent.
Committed on 10/12/2012 at 09:01.
Pushed by mlaurent into branch 'master'.

Fix Bug 296114 - Kontacts complains it is already running when restarting

from DrKonqi

FIXED-IN: 4.10

Lock file is not necessary now in akonadi.
We access to mail from resources which are able to be access by several
program.

M  +4    -0    kmail/kmstartup.cpp

http://commits.kde.org/kdepim/5550ea281af323a8191a22e38a7c0360f3d4a9a4